summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/mono-basic/README8
-rw-r--r--development/mono-basic/mono-basic.SlackBuild98
-rw-r--r--development/mono-basic/mono-basic.info10
-rw-r--r--development/mono-basic/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/development/mono-basic/README b/development/mono-basic/README
new file mode 100644
index 0000000000..3fbfee3e40
--- /dev/null
+++ b/development/mono-basic/README
@@ -0,0 +1,8 @@
+A Native compiler for Visual Basic.NET support in Mono.
+Having a native compiler for Visual Basic not only allows developers that
+wish to completely develop a Mono supported platform, but also allows
+applications that depend on the CodeDOM (ASP.NET for example) to be
+developed using Visual Basic. Something that before the availability of the
+compiler was not possible.
+
+Requires mono and gtk-sharp.
diff --git a/development/mono-basic/mono-basic.SlackBuild b/development/mono-basic/mono-basic.SlackBuild
new file mode 100644
index 0000000000..b230329b70
--- /dev/null
+++ b/development/mono-basic/mono-basic.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for mono-basic
+
+# Written by David Golus <bassplayer69@gmail.com>
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mono-basic
+VERSION=${VERSION:-2.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+#Fix mandir
+sed -i "s|share/man|man|" configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mono-basic/mono-basic.info b/development/mono-basic/mono-basic.info
new file mode 100644
index 0000000000..4fccfe13b4
--- /dev/null
+++ b/development/mono-basic/mono-basic.info
@@ -0,0 +1,10 @@
+PRGNAM="mono-basic"
+VERSION="2.10"
+HOMEPAGE="http://www.mono-project.com/VisualBasic.NET_support"
+DOWNLOAD="http://ftp.novell.com/pub/mono/sources/mono-basic/mono-basic-2.10.tar.bz2"
+MD5SUM="b459890e5447419ab1a5ea43d9b8afe8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Golus"
+EMAIL="bassplayer69@gmail.com"
+APPROVED="Niels Horn"
diff --git a/development/mono-basic/slack-desc b/development/mono-basic/slack-desc
new file mode 100644
index 0000000000..8fd71e0460
--- /dev/null
+++ b/development/mono-basic/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mono-basic: mono-basic (Visual Basic.NET support for Mono)
+mono-basic:
+mono-basic: A native compiler for Visual Basic in the mono framework.
+mono-basic:
+mono-basic: Also allows applications that depend on the CodeDOM (ASP.NET
+mono-basic: for example) to be developed using Visual Basic.
+mono-basic:
+mono-basic: http://www.mono-project.com/VisualBasic.NET_Support
+mono-basic:
+mono-basic:
+mono-basic: